Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.glgraphics
Class GLTextureFilterParameter

    java.lang.Object
      codeanticode.glgraphics.GLTextureFilterParameter

Direct Known Subclasses:
  GLSLTextureFilterParameter

    public abstract class GLTextureFilterParameter

extends java.lang.Object

This class stores the parameter for a texture filter.

Constructor Summary
`GLTextureFilterParameter(processing.core.PApplet parent, GLShader shader, java.lang.String name, java.lang.String label, int type)` Creates an instance of GLTextureFilterParameter using the specified parameters.
`GLTextureFilterParameter(processing.core.PApplet parent, java.lang.String name, java.lang.String label, int type)`

Method Summary
`abstract boolean` | `available()` Returns true or false depending on whether this variable is available for use.
`abstract void` | `copyToShader()` Copies variable values to shader.
`abstract java.lang.String` | `getLabel()` Returns parameter label.
`abstract java.lang.String` | `getName()` Returns parameter name.
`abstract void` | `init()` Initializes this parameter.
`abstract void` | `setShader(GLShader shader)`
`abstract void` | `setValue(float value)` Sets the parameter value when the type is float.
`abstract void` | `setValue(float[] value)` Sets the parameter value for any type.
`abstract void` | `setValue(int value)` Sets the parameter value when the type is int.
`abstract void` | `setValue(int i, float value)` Sets the ith value for the parameter (only valid for vec or mat types).
`abstract void` | `setValue(int i, int j, float value)` Sets the (ith, jth) value for the parameter (only valid for mat types).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLTextureFilterParameter

    public GLTextureFilterParameter(processing.core.PApplet parent,
                                    java.lang.String name,
                                    java.lang.String label,
                                    int type)

### GLTextureFilterParameter

    public GLTextureFilterParameter(processing.core.PApplet parent,
                                    GLShader shader,
                                    java.lang.String name,
                                    java.lang.String label,
                                    int type)

  Creates an instance of GLTextureFilterParameter using the specified parameters.

  Parameters:
    `parent` - PApplet
    `shader` - GLShader
    `name` - String
    `label` - String
    `type` - int

Method Detail

### setShader

    public abstract void setShader(GLShader shader)

### available

    public abstract boolean available()

  Returns true or false depending on whether this variable is available for use.

  Returns:
    boolean

### init

    public abstract void init()

  Initializes this parameter.

### setValue

    public abstract void setValue(int value)

  Sets the parameter value when the type is int.

  Parameters:
    `value` - int

### setValue

    public abstract void setValue(float value)

  Sets the parameter value when the type is float.

  Parameters:
    `value` - float

### setValue

    public abstract void setValue(float[] value)

  Sets the parameter value for any type. When the type is int or float, the first element of the value array is considered.

  Parameters:
    `value` - float[]

### setValue

    public abstract void setValue(int i,
                                  float value)

  Sets the ith value for the parameter (only valid for vec or mat types).

  Parameters:
    `int` - i
    `value` - float

### setValue

    public abstract void setValue(int i,
                                  int j,
                                  float value)

  Sets the (ith, jth) value for the parameter (only valid for mat types).

  Parameters:
    `int` - i
    `int` - j
    `value` - float

### copyToShader

    public abstract void copyToShader()

  Copies variable values to shader.

### getName

    public abstract java.lang.String getName()

  Returns parameter name.

  Returns:
    String

### getLabel

    public abstract java.lang.String getLabel()

  Returns parameter label.

  Returns:
    String

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library GLGraphics by Andres Colubri. (c) 2008